Bug 183887 - (perl-Net-SSH-Perl) Review Request: perl-Net-SSH-Perl
Review Request: perl-Net-SSH-Perl
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: perl-Crypt-RSA
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-03-03 08:33 EST by Paul Howarth
Modified: 2009-03-12 23:09 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-19 12:14:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2006-03-03 08:33:08 EST
Spec Name or Url: http://www.city-fan.org/~paul/extras/perl-Net-SSH-Perl/perl-Net-SSH-Perl.spec
SRPM Name or Url: http://www.city-fan.org/~paul/extras/perl-Net-SSH-Perl/perl-Net-SSH-Perl-1.29-1.src.rpm
Description:

Net::SSH::Perl is an all-Perl module implementing an SSH (Secure Shell)
client. It is compatible with both the SSH-1 and SSH-2 protocols.
Comment 1 Paul Howarth 2006-03-20 06:20:24 EST
Updated SRPM (new upstream version):

http://www.city-fan.org/~paul/extras/perl-Net-SSH-Perl/perl-Net-SSH-Perl-1.30-1.src.rpm

Spec URL unchanged.
Comment 2 Jason Tibbitts 2006-04-19 11:13:18 EDT
Now that all of the prerequisites are built:

* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
conforms to the Perl template.
* license field matches the actual license.
* license is open source-compatible and included in the package.
* source files match upstream:

* BuildRequires are proper.
* package builds in mock.
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED.
Comment 3 Paul Howarth 2006-04-19 12:14:28 EDT
Thanks once again for the review.

 7884 (perl-Net-SSH-Perl): Build on target fedora-development-extras succeeded.
     Build logs may be found at
http://buildsys.fedoraproject.org/logs/fedora-development-extras/7884-perl-Net-SSH-Perl-1.30-1.fc6/

FC-4 and FC-5 branches requested.
Comment 4 Paul Howarth 2009-03-11 07:04:39 EDT
Package Change Request
======================
Package Name: perl-Net-SSH-Perl
New Branches: EL-4 EL-5
Owners: pghmcfc
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2009-03-12 23:09:31 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.